Bug 1386032 - [Docs][RFE][Swift] Document at-rest encryption
Summary: [Docs][RFE][Swift] Document at-rest encryption
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: documentation
Version: 10.0 (Newton)
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: async
: 10.0 (Newton)
Assignee: Charelle Collett
QA Contact: Martin Lopes
URL: http://specs.openstack.org/openstack/...
Whiteboard:
Depends On: 1257292
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-10-18 02:00 UTC by Lucy Bopf
Modified: 2017-05-23 03:43 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-23 03:43:08 UTC


Attachments (Terms of Use)

Description Lucy Bopf 2016-10-18 02:00:17 UTC
This feature provides the option for Swift operators to have objects stored in an encrypted form.

The documentation must describe this feature, and cover basic setup and how to enable the feature.

Comment 1 Lucy Bopf 2016-12-15 01:08:59 UTC
Note: This feature is included in OSP 10 as a Technology Preview.

Comment 2 Lucy Bopf 2017-02-21 01:04:54 UTC
Assigning to Charelle for review.

Comment 9 Martin Lopes 2017-03-06 00:45:15 UTC
LGTM. Merged. This also needs to be backported to osp10.


Note You need to log in before you can comment on or make changes to this bug.